View Issue Details

IDProjectCategoryView StatusLast Update
0003560unrealircdpublic2015-08-08 17:55
ReporterdanieldgAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformamd64OSLinuxOS Version2.6.22
Product Version3.2.8 
Target VersionFixed in Version3.4-beta2 
Summary0003560: Channel ops desyncing on collided nicks after a server sync
DescriptionA nick colliding during a server sync will cause the winner of the collision to rejoin channels without getting channel ops on the new server. This is because the nick is joined to the channel using JOIN rather than SJOIN, and the corresponding MODE opping the user is not sent.
Steps To ReproduceBefore the link, danieldg is op in #opers on both sides. The user on my service has a later timestamp and is expected to lose the collision.

Following is debug output from my service:

OUT@u1 & danieldg 3 !17RKzv me 0::1 insp.janus 0 +oHxt netadmin.omega.org.za AAAAAAAAAAAAAAAAAAAAAQ== :Why don't you ask me?
OUT@u1 ~ !17RKTM #opers :@danieldg
IN@u1 :irc1.testnet SMO o :(link) Link irc1.testnet -> hub.janus[@0:0:0:0:0:0:0:1.43876] established
IN@u1 & danieldg 1 !17RKmx me localhost 1 0 +iowghaAxN * X-AA56C749 AAAAAAAAAAAAAAAAAAAAAQ== :Why don't you ask me?
IN@u1 ~ !17RKTM #opers :@danieldg
IN@u1 ) #opers danieldg !17TLlz :test
IN@u1 AO 4 1198876163 2309 MD5:690ff359d2155fb7a91187907d314fd0 0 0 0 :TestNet
IN@u1 :irc1.testnet ES
IN@u1 :irc1.testnet KILL danieldg :irc1.testnet (Nick Collision)
IN@u1 & danieldg 1 !17RKmx me localhost 1 0 +iowghaAxN * AAAAAAAAAAAAAAAAAAAAAQ== :Why don't you ask me?
IN@u1 :danieldg C #opers
TagsNo tags attached.
3rd party modules

Activities

danieldg

2007-12-28 22:04

reporter   ~0014939

Didn't notice this before, but I am sending "PROTOCTL NOQUIT TOKEN NICKv2 CLK NICKIP SJOIN SJOIN2 SJ3 VL NS UMODE2 TKLEXT SJB64", and the second introduction of the nick does not include the cloak information

syzop

2015-08-08 17:55

administrator   ~0018641

Fixed with nickid & kill recode in 3.4-beta2. (the reported issue)

Issue History

Date Modified Username Field Change
2007-12-28 21:32 danieldg New Issue
2007-12-28 22:04 danieldg Note Added: 0014939
2007-12-30 11:17 syzop Status new => acknowledged
2007-12-30 11:17 syzop Relationship added child of 0003454
2008-12-23 16:38 syzop Relationship deleted child of 0003454
2015-08-08 17:55 syzop Note Added: 0018641
2015-08-08 17:55 syzop Status acknowledged => resolved
2015-08-08 17:55 syzop Fixed in Version => 3.4-beta2
2015-08-08 17:55 syzop Resolution open => fixed
2015-08-08 17:55 syzop Assigned To => syzop